( cd etc/X11/xinit ; rm -rf xinitrc )
( cd etc/X11/xinit ; ln -sf xinitrc.XwmMenu xinitrc )
PREFIX=/
#!/bin/sh
# buildsessions
echo

cd /etc/X11/xdm
if [ -f Xsession.new ]; then
  if [ -f Xsession ]; then
     mv Xsession Xsession.backup
     echo The old Xsession has been saved as Xsession.backup
  fi
  mv Xsession.new Xsession
  if [ $? = 0 ]; then
    echo The new /etc/X11/xdm/Xsession has been installed
  else
    echo WARNING: Unable to change /etc/X11/xdm/Xsession !
    cp Xsession.backup Xsession
  fi
fi

cd /etc/rc.d
if [ -f rc.X.new ]; then
  if [ -f rc.X ]; then
     mv rc.X rc.X.backup
     echo The old rc.X has been saved as rc.X.backup
  fi
  mv rc.X.new rc.X
  if [ $? = 0 ]; then
    echo The new /etc/rc.d/rc.X has been installed
  else
    echo WARNING: Unable to modify /etc/rc.d/rc.X !
    cp rc.X.backup rc.X
  fi
fi

